<div class="container">
    <h2>
        <span>Buat Data Payment</span>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="ui-g-12" style="background-color: white">
        <div class="ui-g-12" style="margin-top: 10px;">
            <div class="row">
                <div class="ui-g-6">
                    <div class="ui-g-12">
                        <div class="ui-g-12" *ngIf="internal === 'FIN'">
                            <div class="form-group">
                                <label class="form-control-label" for="field_tgldue">Tanggal Jatuh Tempo</label>
                                <p-calendar inputId="field_tgldue" name="field_tgldue" [(ngModel)]="dtDue"
                                    dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                    yearRange="2000:2999" appendTo="body" [showIcon]="true">
                                </p-calendar>
                            </div>
                            
                            <div class="form-group">
                                <button type="button" (click)="setdtdue()"
                                    label="Set Jatuh Tempo" class="btn btn-success btn-block">
                                    <span>Set Jatuh Tempo</span>
                                </button>
                            </div>
                        </div>
                        <div class="ui-g-12"  *ngIf="internal !== 'FIN'">
                            <div class="form-group">
                                <label class="form-control-label" for="field_tgldue">Tanggal Jatuh Tempo</label>
                                <p-calendar inputId="field_tgldue" name="field_tgldue" [(ngModel)]="dtDue"
                                    dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                    yearRange="2000:2999" appendTo="body" [disabled]='isview' [showIcon]="true">
                                </p-calendar>
                            </div>
                        </div>
                        <div class="ui-g-12">
                            <div class="form-group">
                                <label class="form-control-label" for="field_tgldue">Nomor Tanda Terima</label>
                                <input type="text" class="form-control" [(ngModel)]="pay.receiptno" />
                                </p-calendar>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ui-g-6">
                    <div class="ui-g-12">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                            <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier"
                                [minLength]="1" field="nmSupplier" placeholder="Silahkan Pilih"
                                (onSelect)="selectSupplier(true)" [dropdown]="true" [disabled]='isview'>
                            </p-autoComplete>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nmspl">Kode Supplier</label>
                            <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredCodeSuppliers"
                                (completeMethod)="filterSupplierCodeSingle($event)" [size]="34" name="suplier"
                                [minLength]="1" field="kd_suppnew" placeholder="Silahkan Pilih"
                                (onSelect)="selectSupplier(true)" [dropdown]="true" [disabled]='isview'>
                            </p-autoComplete>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br>
        <div class="ui-g-12">
            <div class="ui-g-4">
                <button type="button" [routerLink]="['/', { outlets: { popup: 'invoice-as-lov'  } }]" replaceUrl="true"
                    label="cari" class="btn btn-danger btn-block">
                    <span>Cari Nomor Faktur / Tanda Terima</span>
                </button>
            </div>
        </div>
        <div class="ui-g-6">
            <p-dataTable [value]="payItems" [editable]="true" [responsive]="true">
                <header>

                </header>
                <p-column header="No">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="No Tanda Terima">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.receiptno}}
                    </ng-template>
                </p-column>
                <p-column header="No Faktur">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.invno}}
                    </ng-template>
                </p-column>
                <p-column header="No Faktur Pajak">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.invtaxno}}
                    </ng-template>
                </p-column>
                <p-column header="PPN" [style]="{'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.ppn | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Total Pokok " [style]="{'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.paynoppn | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Total PPN " [style]="{'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.totalppn | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Total " [style]="{'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.totalpay | number:'1.0-2'}}
                    </ng-template>
                </p-column>
                <p-column header="Faktur Suplier">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.invfrom}}
                    </ng-template>
                </p-column>
                <p-column header="Aksi">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="button" icon="fa fa-eye" class="flat-button"
                            (click)="lihatDetail(rowData)" pTooltip="Lihat Detail">
                        </button>
                        <button pButton type="button" icon="fa fa-times" class="flat-button"
                            (click)="deleteListInvoice(rowData)" pTooltip="Delete Invoice">
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
            <div *ngIf="pay.valuta === 'Rp'">
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Catatan Deskripsi</label>
                    </div>
                    <div class="form-group">
                        <textarea [(ngModel)]="pay.note" rows="5" cols="70" pInputTextarea autoResize="autoResize"
                            style="width: 100%;" [disabled]='isview' (blur)="ceklen()"></textarea>
                        <label class="form-control-label" for="field_note">Jumlah Karakter {{len}}</label>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Catatan Suplier</label>
                    </div>
                    <div class="form-group">
                        <textarea [(ngModel)]="pay.notespl" rows="5" cols="70" pInputTextarea autoResize="autoResize"
                            style="width: 100%;" [disabled]='isview'></textarea>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Sub Total</label>
                    </div>
                    <div class="form-group">
                        <input currencyMask class="form-control" name="total" id="field_total"
                            [(ngModel)]="pay.subtotal"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                            (blur)="countPPH()" />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Total Retur</label>
                    </div>
                    <div class="form-group">
                        <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.retur"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                            (blur)="countPPH()" />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">PPh</label>
                    </div>
                    <div class="form-group">
                        <label>Persentase Potongan PPH (%)</label>
                        <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.persen_pph"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                            (blur)="countPPH()" placeholder="Persentase Potongan PPH"/>
                    </div>
                    <div class="form-group">
                        <label>Nominal Dipotong PPH</label>
                        <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.sebelum_pph"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                            (blur)="countPPH()" placeholder="Nominal Dipotong PPH"/>
                    </div>
                    <div class="form-group">
                        <label>Total final PPH</label>
                        <div class="ui-g-12">
                            <div class="ui-g-6">
                                <label class="form-control-label" for="field_Tipe">Pembulatan ?</label>
                                <p-checkbox inputId="opt2" name="group1" binary="true" [(ngModel)]="pembulatan1" (click)="countPPH()"></p-checkbox>
                                <label class="form-control-label" for="field_Tipe">{{lblpembualatan1}}</label>
                            </div>
                            <div class="ui-g-6" *ngIf="pembulatan1 === true">
                                <p-checkbox inputId="opt3" name="group2" binary="true" [(ngModel)]="jnspembulatan1" (click)="countPPH()"></p-checkbox>
                                <label class="form-control-label" for="field_Tipe">{{lbljnspembulatan1}}</label>
                            </div>
                        </div>
                        <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.pph"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                            (blur)="countPPH()" placeholder="total final PPH" readonly="true"/>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Catatan PPh</label>
                    </div>
                    <div class="form-group">
                        <textarea [(ngModel)]="pay.notepph" rows="3" cols="70" pInputTextarea autoResize="autoResize"
                            style="width: 100%;" [disabled]='isview'></textarea>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Biaya Lain - Lain</label>
                    </div>
                    <div class="form-group">
                        <input currencyMask class="form-control" name="total" id="field_total"
                            [(ngModel)]="pay.additionalcosts"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                            (blur)="countPPH()" />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Catatan Biaya Lain - Lain</label>
                    </div>
                    <div class="form-group">
                        <input type="text" [(ngModel)]="notebiayalain" style="width: 100%;" [disabled]='isview' />
                        <label class="form-control-label" for="field_note">Default akan terisi "Materai"</label>
                    </div>
                </div>
                <div class="ui-g-12" *ngIf="pay.valuta !== 'Rp'">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Kurs (PPn)</label>
                    </div>
                    <div class="form-group">
                        <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.kursppn"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }" />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Total</label>
                    </div>
                    <div class="ui-g-12">
                        <div class="ui-g-6">
                            <label class="form-control-label" for="field_Tipe">Pembulatan ?</label>
                            <p-checkbox inputId="opt2" name="group1" binary="true" [(ngModel)]="pembulatan" (click)="countPPH()"></p-checkbox>
                            <label class="form-control-label" for="field_Tipe">{{lblpembualatan}}</label>
                        </div>
                        <div class="ui-g-6" *ngIf="pembulatan === true">
                            <p-checkbox inputId="opt3" name="group2" binary="true" [(ngModel)]="jnspembulatan" (click)="countPPH()"></p-checkbox>
                            <label class="form-control-label" for="field_Tipe">{{lbljnspembulatan}}</label>
                        </div>
                    </div>
                    <div class="form-group">
                        <input currencyMask class="form-control" name="total" id="field_total"
                            [(ngModel)]="pay.totalpay"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                            (blur)="countPPH()" />
                    </div>
                </div>
            </div>

            <div *ngIf="pay.valuta !== 'Rp'">
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Catatan Deskripsi</label>
                    </div>
                    <div class="form-group">
                        <textarea [(ngModel)]="pay.note" rows="5" cols="70" pInputTextarea autoResize="autoResize"
                            style="width: 100%;" [disabled]='isview' (blur)="ceklen()"></textarea>
                        <label class="form-control-label" for="field_note">Jumlah Karakter {{len}}</label>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Catatan Suplier</label>
                    </div>
                    <div class="form-group">
                        <textarea [(ngModel)]="pay.notespl" rows="5" cols="70" pInputTextarea autoResize="autoResize"
                            style="width: 100%;" [disabled]='isview'></textarea>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Sub Total</label>
                    </div>
                    <div class="form-group">
                        <input currencyMask class="form-control" name="total" id="field_total"
                            [(ngModel)]="pay.subtotal"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '5' }"
                            (blur)="countPPH()" />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Total Retur</label>
                    </div>
                    <div class="form-group">
                        <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.retur"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                            (blur)="countPPH()" />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">PPh</label>
                    </div>
                    <div class="form-group">
                        <label>Persentase Potongan PPH (%)</label>
                        <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.persen_pph"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                            (blur)="countPPH()" placeholder="Persentase Potongan PPH"/>
                    </div>
                    <div class="form-group">
                        <label>Nominal Dipotong PPH</label>
                        <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.sebelum_pph"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                            (blur)="countPPH()" placeholder="Nominal Dipotong PPH"/>
                    </div>
                    <div class="form-group">
                        <label>Total final PPH</label>
                        <div class="ui-g-12">
                            <div class="ui-g-6">
                                <label class="form-control-label" for="field_Tipe">Pembulatan ?</label>
                                <p-checkbox inputId="opt2" name="group1" binary="true" [(ngModel)]="pembulatan1" (click)="countPPH()"></p-checkbox>
                                <label class="form-control-label" for="field_Tipe">{{lblpembualatan1}}</label>
                            </div>
                            <div class="ui-g-6" *ngIf="pembulatan1 === true">
                                <p-checkbox inputId="opt3" name="group2" binary="true" [(ngModel)]="jnspembulatan1" (click)="countPPH()"></p-checkbox>
                                <label class="form-control-label" for="field_Tipe">{{lbljnspembulatan1}}</label>
                            </div>
                        </div>
                        <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.pph"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                            (blur)="countPPH()" placeholder="total final PPH" readonly="true"/>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Catatan PPh</label>
                    </div>
                    <div class="form-group">
                        <textarea [(ngModel)]="pay.notepph" rows="3" cols="70" pInputTextarea autoResize="autoResize"
                            style="width: 100%;" [disabled]='isview'></textarea>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Biaya Lain - Lain</label>
                    </div>
                    <div class="form-group">
                        <input currencyMask class="form-control" name="total" id="field_total"
                            [(ngModel)]="pay.additionalcosts"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '5' }"
                            (blur)="countPPH()" />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Catatan Biaya Lain - Lain</label>
                    </div>
                    <div class="form-group">
                        <input type="text" [(ngModel)]="notebiayalain" style="width: 100%;" [disabled]='isview' />
                        <label class="form-control-label" for="field_note">Default akan terisi "Materai"</label>
                    </div>
                </div>
                <div class="ui-g-12" *ngIf="pay.valuta !== 'Rp'">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Kurs (PPn)</label>
                    </div>
                    <div class="form-group">
                        <input currencyMask class="form-control" name="total" id="field_total" [(ngModel)]="pay.kursppn"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '5' }" />
                    </div>
                </div>
                <div class="ui-g-12" *ngIf="pay.valuta !== 'Rp'">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Total PPn (RP)</label>
                    </div>
                    <div class="form-group">
                        <input currencyMask class="form-control" name="total" id="field_total"
                            [(ngModel)]="pay.totalppn"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '5' }" />
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_note">Total</label>
                    </div>
                    <div class="ui-g-12">
                        <div class="ui-g-6">
                            <label class="form-control-label" for="field_Tipe">Pembulatan ?</label>
                            <p-checkbox inputId="opt2" name="group1" binary="true" [(ngModel)]="pembulatan" (click)="countPPH()"></p-checkbox>
                            <label class="form-control-label" for="field_Tipe">{{lblpembualatan}}</label>
                        </div>
                        <div class="ui-g-6" *ngIf="pembulatan === true">
                            <p-checkbox inputId="opt3" name="group2" binary="true" [(ngModel)]="jnspembulatan" (click)="countPPH()"></p-checkbox>
                            <label class="form-control-label" for="field_Tipe">{{lbljnspembulatan}}</label>
                        </div>
                    </div>
                    <div class="form-group">
                        <input currencyMask class="form-control" name="total" id="field_total"
                            [(ngModel)]="pay.totalpay"
                            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '5' }"
                            (blur)="countPPH()" />
                    </div>
                </div>
            </div>
        </div>
        <div class="ui-g-6">
            <jhi-invoice-item [(idinv)]="idinv"></jhi-invoice-item>
        </div>
        <!-- ini untuk list nota retur yang di pakai -->
        <div class="ui-g-6">
            <div class="ui-g-12">
                <div class="ui-g-4">
                    <button type="button" [routerLink]="['/', { outlets: { popup: 'new-retur-as-lov/nr'  } }]"
                        replaceUrl="true" label="cari" class="btn btn-danger btn-block">
                        <span>Cari Nota Retur</span>
                    </button>
                </div>
            </div>
            <div class="ui-g-12">
                <p-dataTable [value]="returs" [editable]="true" [responsive]="true">
                    <header>
                    </header>
                    <p-column header="No">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="Nomor Nota Retur">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.noretur}}
                        </ng-template>
                    </p-column>
                    <p-column header="Grand Total">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.grandtot | number:'1.0-2'}}
                        </ng-template>
                    </p-column>
                    <p-column header="Aksi">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <div class="ui-g-6">
                                <button  pButton type="button" icon="fa-print" class="flat-button" (click)="cetakRetur(rowData)"
                                    pTooltip="Lihat Cetakan">
                                </button>
                            </div>
                            <div class="ui-g-6">
                                <button pButton type="button" icon="fa fa-trash" class="flat-button" (click)="deleteListArray(rowData)"
                                    pTooltip="Hapus">
                                </button>
                            </div>
                        </ng-template>
                    </p-column>
                </p-dataTable>
            </div>

        </div>
        <div class="ui-g-12">
            <div class="ui-g-6">
            </div>
            <div class="ui-g-12" style="margin-bottom: 50px;">
                <div class="btn-group flex-btn-group-container">
                    <button pButton type="submit" label="Simpan" icon="fa-save"
                        class="ui-button-primary flat-label-button" (click)="createPay()" [disabled]='isview || saveBool'>
                    </button>
                    <button pButton label="Kembali" class="ui-button-primary flat-label-button"
                        (click)="backMainPage()">
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
<div style="margin-top: 50px;"></div>
<p-confirmDialog></p-confirmDialog>